Can’t install .NET 3.5 on Vista x64? Try uninstalling KB110806.

February 1, 2008 10:22 am

The title says it all. Several attempts I’ve made at installing the .NET Framework 3.5 on x64 Vista boxes failed with Error 1603. After a prolonged Google search, I found a forum with someone mentioning to uninstall KB110806, which seems to be related to .NET 2.0 SP1. I forget the forum and the details.

Anyway, if you’re having trouble with .NET 3.5 on Vista x64, try uninstalling the KB110806 update. I’m going to assume you know where to do that if you’re reading this.

3 Responses to “Can’t install .NET 3.5 on Vista x64? Try uninstalling KB110806.”

Dirkv wrote a comment on March 11, 2008

I had the same problems on Vista x64. I solved it by first upgrading to Vista SP1, downloaded dotNetFx35setup.exe and ran the install (without a problem) …

GeekTieGuy wrote a comment on March 11, 2008

That’s a great way to do it too. If you already have early access to SP1, that is. Once it goes public, more people will be able to do the same thing. Thanks for the comment!

Advent wrote a comment on May 18, 2011

I’m trying to run exe on client machine, it has vista………am unable to run net 3.5 application. Any help will be appriciated.

Care to comment?

%d bloggers like this: